import * as vue from 'vue';
import { PropType } from 'vue';
import { ThemingProps } from '@chakra-ui/styled-system';

declare const vueThemingProps: {
    colorScheme: PropType<(string & {}) | "blue" | "cyan" | "gray" | "green" | "orange" | "pink" | "purple" | "red" | "teal" | "yellow" | "whiteAlpha" | "blackAlpha" | "linkedin" | "facebook" | "messenger" | "whatsapp" | "twitter" | "telegram" | undefined>;
    variant: PropType<any>;
    size: PropType<any>;
    styleConfig: PropType<Record<string, any> | undefined>;
};
declare const SNA: (StringConstructor | NumberConstructor | ArrayConstructor)[];
declare const SAO: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
declare const SNAO: (ObjectConstructor | StringConstructor | NumberConstructor | ArrayConstructor)[];
interface BaseThemedComponentProps extends Pick<ThemingProps, "colorScheme" | "variant" | "size" | "styleConfig"> {
}
declare const useThemingProps: <O extends ThemingProps<any>>(props: O) => vue.ComputedRef<ThemingProps<any>>;

export { BaseThemedComponentProps, SAO, SNA, SNAO, useThemingProps, vueThemingProps };
